using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Proyecto0
{
    public partial class Opciones : Form
    {   
        // Formulario padre DamasForm sobre el que se van a reflejar los cambios de opciones
        DamasForm fPadre;

        // Instancia nica de la clase
        private static Opciones Instance = null;

        private Opciones(DamasForm f)
        {
            InitializeComponent();
            fPadre = f;
        }

        /// <sumary> 
        ///  Obtiene una nica instancia de la clase (Patrn Singleton)
        /// </sumary>
        public static Opciones getInstance(DamasForm f)
        {
            if (Instance == null)
            {
                Instance = new Opciones(f);
            }
            return Instance;
        }


        // 1 Jugador vs CPU
        private void botonRadio_1Jugador(object sender, EventArgs e)
        {
            fPadre.cambiaNumJugadores(1);
        }

        // 2 Jugadores
        private void botonRadio_2Jugadores(object sender, EventArgs e)
        {
            fPadre.cambiaNumJugadores(2);
        }

        // Cambiar dificultad
        private void controlDificultad(object sender, EventArgs e)
        {
            int d = 2; // Valor por defecto
            if (trackBar1.Value == 1)
                d = 2;
            else if (trackBar1.Value == 2)
                d = 4;
            else if (trackBar1.Value == 3)
                d = 5;
            
            fPadre.cambiaDificultad(d);            
        }

        // Volver
        private void botonVolver(object sender, EventArgs e)
        {
            this.Hide();
        }
    }
}